summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD10
2 files changed, 9 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 2da9465e649..8fd7e435d3a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Fri May 18 21:37:32 UTC 2018
+# Sat Oct 13 12:58:43 UTC 2018
pkgbase = ocaml-ppx_derivers-git
pkgdesc = deriving plugin registry
pkgver = 20180224
- pkgrel = 1
+ pkgrel = 2
url = https://github.com/ocaml-ppx/ppx_derivers
arch = x86_64
license = BSD
diff --git a/PKGBUILD b/PKGBUILD
index 4b122123c22..8acc7613727 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgname=ocaml-ppx_derivers-git
pkgver=20180224
-pkgrel=1
+pkgrel=2
pkgdesc="deriving plugin registry"
arch=('x86_64')
url='https://github.com/ocaml-ppx/ppx_derivers'
@@ -24,10 +24,14 @@ build() {
}
package() {
+ set -e
destdir="$pkgdir/$(ocamlfind printconf destdir)"
cd "$pkgname"
- mkdir -p "$destdir/ppx_derivers" || return 1
- make DESTDIR="$destdir/" OCAMLFIND_DESTDIR="$destdir/" install || return 1
+ mkdir -p "$destdir/ppx_derivers"
+ export DESTDIR="$destdir/"
+ export OCAMLFIND_DESTDIR="$destdir/"
+ jbuilder build @install
+ jbuilder install -p ppx_derivers --prefix="${destdir}"
}